<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN"
 "http://www.w3.org/TR/REC-html40/strict.dtd">

<?php

include('setPhpExt.php');
include("loadUpcoming.$phpExt");
?>

<HTML>

  <HEAD>
    <TITLE>SFDG Meetings</TITLE>
    <LINK REL="stylesheet" HREF="SFDGsty.css" TYPE="text/css">
  </HEAD>

  <BODY>

    <H1>SFDG Meetings</H1>

    <H2>Most weeks, we have our usual meeting.</H2>

    <P>Here, we get together (usually at a restaurant) and people talk about
      interesting SF, Fantasy, Horror, or Comic Books we have read, seen, or
      experienced over the last week. For now, our usual meetings are
      scheduled for Thursdays at 7:30PM.</P>

    <H2>Once a month, we also have meet at Borders bookstore to
      discuss a specific book.</H2>

    <P>(This &quot;pre-empts&quot; that week's usual meeting.)


<?php

  $upcoming[0]=1; // dummy value
  $upcomingCount = -1; // dummy value

  $bookCount = count($bookArray);
//echo("<H3>\$bookArray is '$bookArray' \$bookCount is $bookCount</H3>");
  if ($bookCount > 1) {
    $upcoming[0] = $bookArray[$bookCount - 2];
    $upcoming[1] = $bookArray[$bookCount - 1];
    $upcomingCount = 2;    
  } else if (1 == $bookCount) {
    $upcoming[0] = $bookArray[0];
    $upcomingCount = 1;
  } else {
    $upcomingCount = 0;
  }

//echo("<H3>\$upcoming is '$upcoming' \$upcomingCount is $upcomingCount</H3>");

  if (2 == $upcomingCount) {
    echo(" Here is\n" . "      the information for our next two"
         . " &quot;specific book&quot;\n" . "      meetings:");
  } else if (1 == $upcomingCount) {
    echo(" Here is\n" . "      the information for our next"
         . " &quot;specific book&quot;\n" . "      meeting:");
  }

  echo("</P>");

  foreach ( $upcoming as $line ) {
    list($title, $author, $month, $day, $year ) = explode( '|', $line );
    echo("    <P><STRONG>$month $year</STRONG></P>\n\n");
    echo("    <UL>\n\n      <LI>What: SF Meeting to discuss");
    echo(" <CITE>$title</CITE>\n");
    echo("         by $author</LI>\n\n");
    echo("      <LI>When: 7:30 PM, Thursday $month $day, $year</LI>\n\n");
    echo("      <LI>Where: Borders bookstore</LI>\n\n    </UL>\n\n");
  }

?>

    <H2>Everyone is welcome to attend our meetings. Bring a love of SF
      and a sense of humor. We don't always agree, but life is more
      fun that way.</H2>

    <HR>

    <P CLASS="Footer"><A HREF="index.html">Back to the SFDG home
      page</A></P>

  </BODY>

</HTML>
